From 6811cefd3353c46003adaf9c590bc3001817cbc6 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Tue, 10 May 2022 21:58:46 +0200
Subject: [PATCH 08/14] Convert slurm_conf.msg_timeout no ->
 slurm_get_msg_timeout()

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/common/slurm_protocol_api.c                    | 8 ++++----
 src/plugins/accounting_storage/slurmdbd/dbd_conn.c | 2 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/src/common/slurm_protocol_api.c b/src/common/slurm_protocol_api.c
index 158606f242..35d7b9e2a7 100644
--- a/src/common/slurm_protocol_api.c
+++ b/src/common/slurm_protocol_api.c
@@ -3820,12 +3820,12 @@ List slurm_receive_resp_msgs(int fd, int steps, int timeout)
 
 	if (timeout <= 0) {
 		/* convert secs to msec */
-		timeout = slurm_conf.msg_timeout * 1000;
+		timeout = slurm_get_msg_timeout() * 1000;
 		orig_timeout = timeout;
 	}
 	if (steps) {
 		if (message_timeout < 0)
-			message_timeout = slurm_conf.msg_timeout * 1000;
+			message_timeout = slurm_get_msg_timeout() * 1000;
 		orig_timeout = (timeout -
 				(message_timeout*(steps-1)))/steps;
 		steps--;
@@ -3836,9 +3836,9 @@ List slurm_receive_resp_msgs(int fd, int steps, int timeout)
 	/* we compare to the orig_timeout here because that is really
 	 *  what we are going to wait for each step
 	 */
-	if (orig_timeout >= (slurm_conf.msg_timeout * 10000)) {
+	if (orig_timeout >= (slurm_get_msg_timeout() * 10000)) {
 		log_flag(NET, "%s: Sending a message with timeout's greater than %d seconds, requested timeout is %d seconds",
-			 __func__, (slurm_conf.msg_timeout * 10),
+			 __func__, (slurm_get_msg_timeout() * 10),
 			 (timeout/1000));
 	} else if (orig_timeout < 1000) {
 		log_flag(NET, "%s: Sending a message with a very short timeout of %d milliseconds each step in the tree has %d milliseconds",
diff --git a/src/plugins/accounting_storage/slurmdbd/dbd_conn.c b/src/plugins/accounting_storage/slurmdbd/dbd_conn.c
index c9672a732f..f9060ef417 100644
--- a/src/plugins/accounting_storage/slurmdbd/dbd_conn.c
+++ b/src/plugins/accounting_storage/slurmdbd/dbd_conn.c
@@ -151,7 +151,7 @@ extern slurm_persist_conn_t *dbd_conn_open(uint16_t *persist_conn_flags,
 		pc->cluster_name = xstrdup(cluster_name);
 	else
 		pc->cluster_name = xstrdup(slurm_conf.cluster_name);
-	pc->timeout = (slurm_conf.msg_timeout + 35) * 1000;
+	pc->timeout = (slurm_get_msg_timeout() + 35) * 1000;
 	if (rem_host)
 		pc->rem_host = xstrdup(rem_host);
 	else
-- 
2.35.3


